Subject: bug#45117: 28.0.50; process-send-string mysteriously exiting non-locally when called from timer

From: João Távora <[email-masked]>
Date: Thu, 10 Dec 2020 19:58:12 +0000

On Thu, Dec 10, 2020 at 7:55 PM Eli Zaretskii <[email-masked]> wrote:
>
> > From: João Távora <[email-masked]>
> > Date: Thu, 10 Dec 2020 19:47:08 +0000
> > Cc: Stefan Monnier <[email-masked]>, [email-masked]
> >
> > > The reason, quite obviously, is to prevent user's C-g from aborting
> > > the timer function.
> >
> > I agree, but playing devil's advocate, can you expand on the
> > rationale for that?  Why shouldn't timer functions be abortable?
>
> I think that's the wrong question.  The right question is how probable
> is it that the user presses C-g to abort a timer function that just
> happens to run at this very moment.  I think the answer is "extremely
> improbable".  It is much more probable that C-g was meant for
> something else, some activity that is much more evident to the user.
> Like getting out of the minibuffer after deciding that the command
> does not need to be invoked after all, for example.

I see. Yes it makes sense.  But Stefan is arguing that some "special" timer
functions should be abortable by mere input. And that changes thoses
odds considerably. But at the same time, it doesn't change
the fact, as you well put it, that that input is _not_ meant for the
timer function.

João